﻿; ------------------------------------------------------------------------------------
; Basis - Includes
; ------------------------------------------------------------------------------------

; FastMem - Bibliothek
CompilerIf #ENM_Sys_UseFastMem
  CompilerIf (#PB_Compiler_OS = #PB_OS_Linux) Or (#PB_Compiler_OS = #PB_OS_MacOS)
    XIncludeFile "Common/FastMem.pbi"
  CompilerElse
    XIncludeFile "Common\FastMem.pbi"
  CompilerEndIf
CompilerEndIf

; Thread - Basisverwaltung
CompilerIf (#PB_Compiler_OS = #PB_OS_Linux) Or (#PB_Compiler_OS = #PB_OS_MacOS)
  XIncludeFile "Common/Thread_Std.pbi"
CompilerElse
  XIncludeFile "Common\Thread_Std.pbi"
CompilerEndIf

; Stack - Include
CompilerIf (#PB_Compiler_OS = #PB_OS_Linux) Or (#PB_Compiler_OS = #PB_OS_MacOS)
  XIncludeFile "Common/Stack.pbi"
CompilerElse
  XIncludeFile "Common\Stack.pbi"
CompilerEndIf

; "Wachsender Speicher"
CompilerIf (#PB_Compiler_OS = #PB_OS_Linux) Or (#PB_Compiler_OS = #PB_OS_MacOS)
  XIncludeFile "Common/GrowableMemory.pbi"
CompilerElse
  XIncludeFile "Common\GrowableMemory.pbi"
CompilerEndIf

; Ping - Library
CompilerIf (#PB_Compiler_OS = #PB_OS_Linux) Or (#PB_Compiler_OS = #PB_OS_MacOS)
  XIncludeFile "Common/Ping.pbi"
CompilerElse
  XIncludeFile "Common\Ping.pbi"
CompilerEndIf

; Hashmap - Extension
CompilerIf (#PB_Compiler_OS = #PB_OS_Linux) Or (#PB_Compiler_OS = #PB_OS_MacOS)
  XIncludeFile "Common/HashMapEx.pbi"
CompilerElse
  XIncludeFile "Common\HashMapEx.pbi"
CompilerEndIf

; Kompressions - Library
CompilerIf (#PB_Compiler_OS = #PB_OS_Linux) Or (#PB_Compiler_OS = #PB_OS_MacOS)
  XIncludeFile "Common/zLib.pbi"
CompilerElse
  XIncludeFile "Common\zLib.pbi"
CompilerEndIf

; StringBuilder - Library
CompilerIf (#PB_Compiler_OS = #PB_OS_Linux) Or (#PB_Compiler_OS = #PB_OS_MacOS)
  XIncludeFile "Common/StringBuilder.pbi"
CompilerElse
  XIncludeFile "Common\StringBuilder.pbi"
CompilerEndIf

; IDE Options = PureBasic 4.60 Beta 3 (Windows - x64)
; EnableXP
; CPU = 1